com.fasterxml.jackson.core.io

## Class NumberOutput

- java.lang.Object
- - com.fasterxml.jackson.core.io.NumberOutput

    public final class NumberOutput
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NumberOutput()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `notFinite(double value)` Helper method to verify whether given `double` value is finite (regular rational number} or not (NaN or Infinity).
`static boolean` `notFinite(float value)` Helper method to verify whether given `float` value is finite (regular rational number} or not (NaN or Infinity).
`static int` `outputInt(int v, byte[] b, int off)`
`static int` `outputInt(int v, char[] b, int off)`
`static int` `outputLong(long v, byte[] b, int off)`
`static int` `outputLong(long v, char[] b, int off)`
`static String` `toString(double v)`
`static String` `toString(float v)`
`static String` `toString(int v)`
`static String` `toString(long v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumberOutput

    public NumberOutput()

### Method Detail

#### outputInt

    public static int outputInt(int v,
                                char[] b,
                                int off)

Returns:
  Offset within buffer after outputting int

#### outputInt

    public static int outputInt(int v,
                                byte[] b,
                                int off)

#### outputLong

    public static int outputLong(long v,
                                 char[] b,
                                 int off)

Returns:
  Offset within buffer after outputting int

#### outputLong

    public static int outputLong(long v,
                                 byte[] b,
                                 int off)

#### toString

    public static String toString(int v)

#### toString

    public static String toString(long v)

#### toString

    public static String toString(double v)

#### toString

    public static String toString(float v)

Since:
  2.6.0

#### notFinite

    public static boolean notFinite(double value)

Helper method to verify whether given `double` value is finite (regular rational number} or not (NaN or Infinity).

Returns:
  True if number is NOT finite (is Infinity or NaN); false otherwise Since 2.10

#### notFinite

    public static boolean notFinite(float value)

Helper method to verify whether given `float` value is finite (regular rational number} or not (NaN or Infinity).

Returns:
  True if number is NOT finite (is Infinity or NaN); false otherwise Since 2.10